Bug 511055 - Enabling push in Step 11 of rhn-satellite-5-upgrade-scenario-1b.txt needs to be explained
Enabling push in Step 11 of rhn-satellite-5-upgrade-scenario-1b.txt needs to ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-07-13 09:32 EDT by Preethi Thomas
Modified: 2009-08-27 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-07-13 09:32:11 EDT
Description of problem:
Enabling push in Step 11 of rhn-satellite-5-upgrade-scenario-1b.txt needs to be explained

Version-Release number of selected component (if applicable):
rhn-upgrade-5.3.0.16-1.el4sat
Satellite-5.3.0-RHEL4-re20090709.0-i386-embedded-oracle.iso

How reproducible:


Steps to Reproduce:
1.upgrade a monitoring enabled 5.1 satellite on rhel4 to 5.3 on rhel4
2.follow steps in rhn-satellite-5-upgrade-scenario-1b.txt
3.on step 11 2nd part /usr/share/spacewalk/setup/upgrade/rhn-enable-push.pl
  
Actual results:
the document asks to do the following.
Enable the push functionality by running this script:
      # *must* have your SSL build directory in /root as /root/ssl-build
      # *must* have your CA SSL public certificate located in your pub/
      #        directory and named as such:
      #          /var/www/html/pub/RHN-ORG-TRUSTED-SSL-CERT
      # stop RHN Push daemons first, if running.
      /sbin/service jabberd stop
      /sbin/service osa-dispatcher stop
      /usr/share/spacewalk/setup/upgrade/rhn-enable-push.pl

but 
when you perform the step you get
[root@rlx-3-08 ~]#       /usr/share/spacewalk/setup/upgrade/rhn-enable-push.pl
config osa-dispatcher.jabber_server not in master config list in PXT::Config at /usr/lib/perl5/vendor_perl/5.8.5/PXT/Config.pm line 163.
Push is already enabled - do not run this script more than once.  Use --force to override.


Expected results:

It should specify if you should use the option with --force or skip it if you get that message


Additional info:
Comment 1 Clifford Perry 2009-07-13 09:54:34 EDT
Sure, something like:

Enable the push functionality by running this script:
      # *must* have your SSL build directory in /root as /root/ssl-build
      # *must* have your CA SSL public certificate located in your pub/
      #        directory and named as such:
      #          /var/www/html/pub/RHN-ORG-TRUSTED-SSL-CERT
      # stop RHN Push daemons first, if running.
      /sbin/service jabberd stop
      /sbin/service osa-dispatcher stop
      /usr/share/spacewalk/setup/upgrade/rhn-enable-push.pl

NOTE: You should not need to pass the --force option if prompted and can proceed on if you are informed Push is already enabled. 


Cliff
Comment 2 Milan Zázrivec 2009-07-15 04:57:18 EDT
satellite.git, SATELLITE-5.3: a6bd735deade495ab51b5139e4d708af06815af8
Comment 3 Milan Zázrivec 2009-07-15 11:46:18 EDT
ON_QA, rhn-upgrade-5.3.0.19-1
Comment 4 Jeff Browning 2009-07-21 10:49:30 EDT
The new note regarding the use of --force is in the docs now.

Verified.
Comment 5 Miroslav Suchý 2009-08-17 11:01:50 EDT
It is item 12 now due shift in numbering:
    NOTE: You should not need to pass the --force option if prompted. You can
    safely proceed on if you are informed of already enabled push.

verified in stage.
Comment 6 Brandon Perkins 2009-08-27 13:38:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.